var keyword;
$(document).ready(function(){keyword=$("input#eb5707348").val()=="regupdate"?"修改":"注册";
if(keyword=="修改"){$("#Submitbut").val("修 改");
$("#Submitbut").click(submitact);
}else{$("#Submitbut").click(function(){nextstep("down");
});
}var b=document.body.clientHeight||document.documentElement.clientHeight;
var c=b*0.8-160;
if(c<100){c=100;
}$("table#tab_main td.middletr").css("height",c+"px");
if(top==self){var a=[];
a.webhost=location.hostname;
a.targeturl=location.href.replace("http://","").replace(location.hostname,"");
$e28dd6773=$e28dd6773?$e28dd6773:request("e28dd6773").replace("_mr_",".");
$e28dd6773=$e28dd6773?$e28dd6773:location.hostname;
top.location.href="http://"+$e28dd6773+"/index.php?"+http_build_query(a);
}validator.hypotaxis=3;
validator.successMsg="填写正确";
validator.lastcheckmode=1;
validator.lastcheckalert=1;
validator.clickconfirm=1;
$("#form1").checkForm();
});
function changeAuthCode(){var a=(new Date()).getTime();
var b=Math.round(Math.random()*10000);
a=a+b;
$("#ver_code").css("visibility","visible");
if($("#vdimgck")[0]){$("#vdimgck")[0].src="http://"+cfg_remote_host+"/include/vdimgck.php?tag="+a;
}return false;
}function buttnoretry(){$("input:reset,input:button,input:submit").click(function(){var a=this;
a.disabled=true;
setTimeout("var a;",5000);
setTimeout(function(){a.disabled=false;
},5000);
});
}function nextstep(a){if(a=="down"){if(validator.yanzheng()==false){return false;
}$("#licensetable").show();
$("div#reginput").hide();
}else{$("#licensetable").hide();
$("div#reginput").show();
}}function submitact(c){if(validator.yanzheng()==false){return false;
}var b;
b=$("input#e0f5a79e6").val();
var a=new monor_jsonp();
a.callbackfunc=function(e){a.localloginfinish=true;
if(e.status=="success"){var d="";
if(e.info){d=e.info;
}else{d=a.default_sucmaininfo;
}$("div#poping .title span#poptitleinfo").html(a.default_suctitle);
$("div#poping .main").html(d);
setTimeout(function(){location.href="http://"+window.name.replace("_mr_",".")+"/reload.html";
},a.timedelay);
}else{a.err_handle(e);
}};
$.poping({height:"auto"},{},keyword+"中");
$("input#e28dd6773").val(window.name);
$.ajax({type:"POST",url:"?eb5707348=reginsert",timeout:15000,cache:false,data:$("#form1").serialize(),dataType:"json",success:function(e){if(e.status=="error"){a.default_errmaininfo=keyword+"失败，请关闭本窗口返回检查原因！";
a.err_handle(e);
}else{if(e.status=="success"){if(e.redirecturl){b=e.redirecturl;
}var d={};
d.eb5707348=$("input#eb5707348").val();
d.eea8f538c=$("input#eea8f538c").val();
d.pwd=$("input#pwd").val();
d.uname=$("input#uname").val();
d.qq=$("input#qq").val();
d.email=$("input#email").val();
d.e80c42f39=$("input#e80c42f39").val();
d.e532c28d5=$("input#e532c28d5").val();
d.tel=$("input#tel").val();
d.ecdf740a2=$("input#ecdf740a2").val();
d.ed1befa03=$("input#ed1befa03").val();
a.url="http://"+window.name.replace("_mr_",".")+"/locallogin.php?remotehost="+encodeURIComponent(location.host)+"&callback=?";
a.senddata=d;
a.default_suctitle=keyword+"成功";
a.default_errtitle=keyword+"失败";
a.default_errmaininfo="已成功远程"+keyword+"，但未能通过本地验证，请返回检查原因！";
a.default_sucmaininfo=$("input#eb5707348").val()=="regupdate"?"已成功修改用户资料信息！":"恭喜！您已成功注册.请用该帐号登陆，开始您愉快的采矿之旅吧。";
a.do_locallogin(e);
}}},error:function(d,f,e){a.default_errmaininfo="系统错误，请返回重新操作，再试一次！";
a.err_handle();
}});
}$(document).ready(function(){buttnoretry();
$("#validate").keydown(function(a){if(a.which==13){$("#Submitbut").click();
return false;
}});
});
